Components
Retrieve a component
Scope: component:read
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Path Parameters
component*component
cloud-sql, or cmp-7q2k9m4x8p1c.
Match
^[a-z]([a-z0-9-]{0,61}[a-z0-9])?$Length
1 <= length <= 63Response Body
application/json
curl -X GET "https://example.com/v1/components/string"{ "component": { "id": "string", "name": "string", "description": "string", "labels": { "property1": "string", "property2": "string" }, "tags": [ { "name": "string", "digest": "string", "immutable": true, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" } ], "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z", "status": "STATUS_UNSPECIFIED", "status_reason": "string", "status_changed_at": "2023-01-15T01:30:15.01Z", "successor_component_id": "string" }}